org.apache.ignite.internal.pagemem.wal.record

## Class MvccTxRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord
    - - org.apache.ignite.internal.pagemem.wal.record.TxRecord
      - - org.apache.ignite.internal.pagemem.wal.record.MvccTxRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class MvccTxRecord
    extends TxRecord
    implements WalRecordCacheGroupAware

Logical data record indented for MVCC transaction related actions.
This record is marker of prepare, commit, and rollback transactions.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp`

### Constructor Summary

Constructors
Constructor and Description
`MvccTxRecord(TransactionState state, GridCacheVersion nearXidVer, GridCacheVersion writeVer, @Nullable Map<Short,Collection<Short>> participatingNodes, MvccVersion mvccVer)`
`MvccTxRecord(TransactionState state, GridCacheVersion nearXidVer, GridCacheVersion writeVer, @Nullable Map<Short,Collection<Short>> participatingNodes, MvccVersion mvccVer, long ts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`MvccVersion` `mvccVersion()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TxRecord

`nearXidVersion, participatingNodes, state, writeVersion`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp, timestamp`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccTxRecord

    public MvccTxRecord(TransactionState state,
                        GridCacheVersion nearXidVer,
                        GridCacheVersion writeVer,
                        @Nullable
                        @Nullable Map<Short,Collection<Short>> participatingNodes,
                        MvccVersion mvccVer)

Parameters:
  `state` - Transaction state.
  `nearXidVer` - Transaction id.
  `writeVer` - Transaction entries write topology version.
  `participatingNodes` - Primary -> Backup nodes compact IDs participating in transaction.
  `mvccVer` - Transaction snapshot version.

#### MvccTxRecord

    public MvccTxRecord(TransactionState state,
                        GridCacheVersion nearXidVer,
                        GridCacheVersion writeVer,
                        @Nullable
                        @Nullable Map<Short,Collection<Short>> participatingNodes,
                        MvccVersion mvccVer,
                        long ts)

Parameters:
  `state` - Transaction state.
  `nearXidVer` - Transaction id.
  `writeVer` - Transaction entries write topology version.
  `mvccVer` - Transaction snapshot version.
  `participatingNodes` - Primary -> Backup nodes participating in transaction.
  `ts` - TimeStamp.

### Method Detail

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `TxRecord`
Returns:
  Entry type.

#### mvccVersion

    public MvccVersion mvccVersion()

Returns:
  Mvcc version.

#### groupId

    public int groupId()

Specified by:
  `groupId` in interface `WalRecordCacheGroupAware`
Returns:
  Cache group ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `TxRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021